# Copyright (c) 1999-2003 Xerox Corporation.  All Rights Reserved.
#
# Permission to use, copy, modify  and  distribute  without  charge
# this  software,  documentation, images, etc. is granted, provided
# that this copyright and the author"s name is retained.
#    
# A fee may be charged for this program ONLY to recover  costs  for
# distribution  (i.e.  media costs).  No profit can be made on this
# program.
#        
# The author assumes no responsibility for  disasters  (natural  or
# otherwise) as a consequence of use of this software.
#            
# Adam Stein (adam\@scan.mc.xerox.com)

sub DeleteAppt {
  my ($cgi) = shift,                            # CGI object
  my ($scope) = shift,                          # Deletion scope
  my ($caladdr),                                # Calendar addr to connect to
  my (@entry),                                  # Handle to appt to delete
  my ($key),                                    # Key to calendar to display
  my ($session),                                # Handle to CDE calendar
  my (@user);                                   # User running this script

  if ($mode & A_DELETE) {
    # See if we were given a full calendar address or
    # if we need to look it up
    $key = $cgi->param("key");
    $caladdr = (($key =~ /@/) ? $key : $calendar{$key}[1]);

    # Open connection to calendar
    if (($caladdr eq "") || (&OpenCalendar($caladdr, \$session) ne "")) {
      # Can't connect with CSA
      print "<SCRIPT>\n",
            "alert(\"WARNING: Can't connect to [$key]\\n\\n",
            "Appointment will NOT be added\");",
            "</SCRIPT>\n";

      $USECSA = -1;

      return;
    }

    eval {
    # Fetch the appointment to delete
    @entry = $session->list_entries(
      "Reference Identifier" => {
        type => "OPAQUE DATA",
        value => $cgi->param("id"),
        match => "EQUAL TO"
      }
    );
    };

    if ($@) {
      print "<SCRIPT>\n",
            "alert(\"WARNING: $@\\n\\n",
            "Could not fetch appointment to delete\");",
            "</SCRIPT>\n";

      $USECSA = -1;
    } elsif ($scope ne "Cancel") {
      # Delete the entry
      $entry[0]->entries->delete_entry($scope);
    }

    # Close the deletion scope window
    if (defined($entry[0]->entries->read_entry_attributes('Recurrence Rule'))) {
      # go(0) is the same thing as reload()
      print "<SCRIPT>opener.history.go(0)</SCRIPT>";
      print "<SCRIPT>self.close()</SCRIPT>"
    } else {
      # Can't use 'location.reload()' because of the "action" value remains
      # the same and screws things up
      print "<SCRIPT>history.go(-1)</SCRIPT>";
    }
  } else {
    @user = getpwuid($>);

    print p("Sorry.  It appears that the account running ", strong(em("wcal")),
	    "($user[0]) does not have the authority to delete appointments ",
	    "from this calendar."),

	  p("View the README file that came with ", strong(em("wcal")),
	    "(or appropriate man pages) to find out how to change ",
	    "permissions to allow deleting appointments from a CDE calendar.");
  }
}

1;

