# Copyright (c) 1999-2003 Xerox Corporation.  All Rights Reserved.
#
# Permission to use, copy, modify  and  distribute  without  charge
# this  software,  documentation, images, etc. is granted, provided
# that this copyright and the author's name is retained.
#    
# A fee may be charged for this program ONLY to recover  costs  for
# distribution  (i.e.  media costs).  No profit can be made on this
# program.
#        
# The author assumes no responsibility for  disasters  (natural  or
# otherwise) as a consequence of use of this software.
#            
# Adam Stein (adam\@scan.mc.xerox.com)

# Set up the calendar showing appointments in this frame
sub ShowFrame2 {
  my ($cgi) = shift,                            # CGI object
  my ($view) = shift,				# Calendar view
  my ($date) = shift,				# Date to show
  my ($key) = shift,				# Key to calendar to display
  my ($caladdr),				# Calendar addr to connect to
  my ($js1),					# JavaScript to update user
  my ($js2),					# JavaScript to close update win
  my ($session);				# Handle to CDE calendar

  &HTMLHeader($cgi, "f2", $cgi->param("key"));

  if (FETCHWIN == 1) {
    $js1 = <<EOF;
var msgWindow;

// Create a status window to let the user know what's happening
msgWindow = window.open("", "messageWindow", "");
msgWindow.resizeTo(300,100);
msgWindow.moveTo(200, 200);

msgWindow.document.write("<HTML>");
msgWindow.document.write("<HEAD><TITLE>Wcal v$VERSION: Status</TITLE></HEAD>");
msgWindow.document.write("<BODY BGCOLOR='green'>");
msgWindow.document.write("<BR><BR>");
msgWindow.document.write("<H1 ALIGN='center'>Fetching Appointments...");
msgWindow.document.write("</H1></BODY></HTML>");

function closeWindow() {
  // Remove the status window after we fetched the appointments
  msgWindow.close();
}
EOF

    $js2 = <<EOF;
closeWindow();
EOF

    print $cgi->script("$js1") if ($view != V_YEAR);
  }

  # See if we were given a full calendar address or
  # if we need to look it up
  $caladdr = (($key =~ /@/) ? $key : $calendar{$key}[1]);

  # Open connection to calendar
  if (($caladdr eq "") || (&OpenCalendar($caladdr, \$session) ne "")) {
    # Can't connect with CSA
    print "<SCRIPT>\n",
	  "alert(\"WARNING: Can't connect to [$key]\\n\\n",
	  "Appointments will NOT be listed\");",
	  "</SCRIPT>\n";

    $USECSA = -1;
  }

  # Show the calendar
  &ShowCalendar($cgi, $view, $date, $key, $session);

  # Close connection to calendar
  &CloseCalendar($session);

  print $cgi->script("$js2") if ((FETCHWIN == 1) && ($view != V_YEAR));
}

1;

