# Copyright (c) 1999-2003 Xerox Corporation.  All Rights Reserved.
#
# Permission to use, copy, modify  and  distribute  without  charge
# this  software,  documentation, images, etc. is granted, provided
# that this copyright and the author's name is retained.
#    
# A fee may be charged for this program ONLY to recover  costs  for
# distribution  (i.e.  media costs).  No profit can be made on this
# program.
#        
# The author assumes no responsibility for  disasters  (natural  or
# otherwise) as a consequence of use of this software.
#            
# Adam Stein (adam\@scan.mc.xerox.com)

# Set up the previous and next calendars in this frame
sub ShowFrame3 {
  my ($cgi) = shift,                            # CGI object
  my ($date) = shift,				# Date to offset from
  my ($url);					# URL to use for links

  # Create URL for links in this frame
  $url = $cgi->url . "?key=" . $cgi->param("key");

  &HTMLHeader($cgi, "f3", $cgi->param("key"));

  &ShowPrevMonth($date, $url);

  print $cgi->p("");				# Separation months

  &ShowNextMonth($date, $url);
}

# Show the previous month's calendar
sub ShowPrevMonth {
  my ($date) = shift,				# Date to offset from
  my ($url) = shift,				# URL to use for links
  my (@prevmonth);				# Previous month

  # Figure out what the previous month was
  @prevmonth = Add_Delta_YMD(@$date, 0, -1, 0);
  $prevmonth[2] = 1;				# Set to first day in month

  # Create calendar
  &CreateMonth(\@prevmonth, $url, 3);
}

# Show the next month's calendar
sub ShowNextMonth {
  my ($date) = shift,				# Date to offset from
  my ($url) = shift,				# URL to use for links
  my (@nextmonth);				# Next month

  # Figure out what the next month is
  @nextmonth = Add_Delta_YMD(@$date, 0, 1, 0);
  $nextmonth[2] = 1;

  # Create calendar
  &CreateMonth(\@nextmonth, $url, 3);
}

1;

